#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, x, mi=INT_MAX, ma=INT_MIN, a;
    cin>>n>>x;
    for(int i=0; i<n; i++){
        cin>>a;
        if(a<mi) mi=a;
        if(a>ma) ma=a;
    }
    if(mi>x) cout << ma-x;
    else if(ma<x) cout << x-mi;
    else{
        cout<< min(ma-mi+x-mi, ma-mi+ma-x);
    }
    return 0;
}